Package fr.gouv.vitam.common.database.builder.request.multiple

# Class SelectMultiQuery

java.lang.Object
fr.gouv.vitam.common.database.builder.request.AbstractRequest
fr.gouv.vitam.common.database.builder.request.multiple.RequestMultiple
fr.gouv.vitam.common.database.builder.request.multiple.SelectMultiQuery

public class SelectMultiQuery extends RequestMultiple
Select: { $roots: roots, $query : query, $filter : filter, $projection : projection, $facets : facet }

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected List<Facet>`
  `facets`
  Facets
  `protected Long`
  `threshold`

  ### Fields inherited from class fr.gouv.vitam.common.database.builder.request.multiple.RequestMultiple

  `queries, roots`

  ### Fields inherited from class fr.gouv.vitam.common.database.builder.request.AbstractRequest

  `filter, projection`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SelectMultiQuery()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final SelectMultiQuery`
  `addFacets(Facet... facets)`
  `protected void`
  `addFacetsToNode(com.fasterxml.jackson.databind.node.ObjectNode node)`
  Add facets to given node
  `final SelectMultiQuery`
  `addOrderByAscFilter(String... variableNames)`
  `final SelectMultiQuery`
  `addOrderByDescFilter(String... variableNames)`
  `final SelectMultiQuery`
  `addOrderByFilter(com.fasterxml.jackson.databind.JsonNode filterContent)`
  `final SelectMultiQuery`
  `addProjection(com.fasterxml.jackson.databind.JsonNode projectionContent)`
  `final SelectMultiQuery`
  `addUnusedProjection(String... variableNames)`
  `final SelectMultiQuery`
  `addUsedProjection(String... variableNames)`
  `final boolean`
  `getAllProjection()`
  default implements of getAllProjection
  `final List<Facet>`
  `getFacets()`
  getFacets
  `final com.fasterxml.jackson.databind.node.ObjectNode`
  `getFinalSelect()`
  `final com.fasterxml.jackson.databind.node.ObjectNode`
  `getFinalSelectById()`
  `final com.fasterxml.jackson.databind.node.ObjectNode`
  `getProjection()`
  default implements of getProjection
  `Long`
  `getThreshold()`
  Getter for threshold
  `final SelectMultiQuery`
  `parseLimitFilter(String filter)`
  `final SelectMultiQuery`
  `parseOrderByFilter(String filter)`
  `final SelectMultiQuery`
  `parseProjection(String projection)`
  `final SelectMultiQuery`
  `reset()`
  `final SelectMultiQuery`
  `resetFacets()`
  `final SelectMultiQuery`
  `resetLimitFilter()`
  `final SelectMultiQuery`
  `resetOrderByFilter()`
  `final SelectMultiQuery`
  `resetUsageProjection()`
  `final SelectMultiQuery`
  `resetUsedProjection()`
  `protected final SelectMultiQuery`
  `selectSetProjection(com.fasterxml.jackson.databind.JsonNode projectionContent)`
  `SelectMultiQuery`
  `setFacet(Facet facet)`
  `final SelectMultiQuery`
  `setFilter(com.fasterxml.jackson.databind.JsonNode filterContent)`
  `final SelectMultiQuery`
  `setLimitFilter(long offset, long limit)`
  `final SelectMultiQuery`
  `setLimitFilter(com.fasterxml.jackson.databind.JsonNode filterContent)`
  `final SelectMultiQuery`
  `setProjection(com.fasterxml.jackson.databind.JsonNode projectionContent)`
  `final SelectMultiQuery`
  `setScrollFilter(String scrollId, int scrollTimeout, int limit)`
  `void`
  `setThreshold(Long threshold)`
  Setter for threshold
  `final SelectMultiQuery`
  `setUsageProjection(com.fasterxml.jackson.databind.JsonNode projectionContent)`
  `final SelectMultiQuery`
  `setUsageProjection(String usage)`
  `String`
  `toString()`
  `final SelectMultiQuery`
  `trackTotalHits(boolean trackTotalHits)`

  ### Methods inherited from class fr.gouv.vitam.common.database.builder.request.multiple.RequestMultiple

  `addQueries, addRoots, addRoots, getActions, getData, getFinal, getNbQueries, getNthQuery, getQueries, getRoots, parseRoots, resetQueries, resetRoots, setFacets, setQuery`

  ### Methods inherited from class fr.gouv.vitam.common.database.builder.request.AbstractRequest

  `addHintFilter, addHintFilter, getFilter, parseFilter, resetFilter, resetHintFilter, selectAddOrderByAscFilter, selectAddOrderByDescFilter, selectAddOrderByFilter, selectAddProjection, selectAddUnusedProjection, selectAddUsedProjection, selectGetAllProjection, selectGetFinalSelect, selectGetProjection, selectParseLimitFilter, selectParseOrderByFilter, selectParseProjection, selectReset, selectResetLimitFilter, selectResetOrderByFilter, selectResetUsedProjection, selectSetFilter, selectSetLimitFilter, selectSetLimitFilter, selectSetScrollFilter`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### facets

    protected List<Facet> facets
    Facets

  - ### threshold

    protected Long threshold

- ## Constructor Details

  - ### SelectMultiQuery

    public SelectMultiQuery()

- ## Method Details

  - ### resetFacets

    public final SelectMultiQuery resetFacets()
    Returns:
      this Request

  - ### resetLimitFilter

    public final SelectMultiQuery resetLimitFilter()
    Returns:
      this Query

  - ### resetOrderByFilter

    public final SelectMultiQuery resetOrderByFilter()
    Returns:
      this Query

  - ### resetUsedProjection

    public final SelectMultiQuery resetUsedProjection()
    Returns:
      this Query

  - ### resetUsageProjection

    public final SelectMultiQuery resetUsageProjection()
    Returns:
      this Query

  - ### reset

    public final SelectMultiQuery reset()
    Overrides:
      `reset` in class `RequestMultiple`
    Returns:
      this Query

  - ### setLimitFilter

    public final SelectMultiQuery setLimitFilter(long offset, long limit)
    Parameters:
      `offset` - ignored if 0
      `limit` - ignored if 0
    Returns:
      this Query

  - ### setLimitFilter

    public final SelectMultiQuery setLimitFilter(com.fasterxml.jackson.databind.JsonNode filterContent)
    Parameters:
      `filterContent` - content json
    Returns:
      this Query

  - ### trackTotalHits

    public final SelectMultiQuery trackTotalHits(boolean trackTotalHits)
    Parameters:
      `trackTotalHits` - to set. false (default) to return approximative total hits, true to return exact total hits
    Returns:
      this Query

  - ### parseLimitFilter

    public final SelectMultiQuery parseLimitFilter(String filter) throws InvalidParseOperationException
    Parameters:
      `filter` - string filter
    Returns:
      this Query
    Throws:
      `InvalidParseOperationException` - when query is invalid

  - ### addOrderByAscFilter

    public final SelectMultiQuery addOrderByAscFilter(String... variableNames) throws InvalidParseOperationException
    Parameters:
      `variableNames` - list of key name
    Returns:
      this Query
    Throws:
      `InvalidParseOperationException` - when query is invalid

  - ### addOrderByDescFilter

    public final SelectMultiQuery addOrderByDescFilter(String... variableNames) throws InvalidParseOperationException
    Parameters:
      `variableNames` - list of key name
    Returns:
      this Query
    Throws:
      `InvalidParseOperationException` - when query is invalid

  - ### addOrderByFilter

    public final SelectMultiQuery addOrderByFilter(com.fasterxml.jackson.databind.JsonNode filterContent) throws InvalidParseOperationException
    Parameters:
      `filterContent` - json filter
    Returns:
      this Query
    Throws:
      `InvalidParseOperationException` - when query is invalid

  - ### parseOrderByFilter

    public final SelectMultiQuery parseOrderByFilter(String filter) throws InvalidParseOperationException
    Parameters:
      `filter` - string filter
    Returns:
      this Query
    Throws:
      `InvalidParseOperationException` - when query is invalid

  - ### setFilter

    public final SelectMultiQuery setFilter(com.fasterxml.jackson.databind.JsonNode filterContent) throws InvalidParseOperationException
    Overrides:
      `setFilter` in class `AbstractRequest`
    Parameters:
      `filterContent` - json filter
    Returns:
      this Query
    Throws:
      `InvalidParseOperationException` - when query is invalid

  - ### addUsedProjection

    public final SelectMultiQuery addUsedProjection(String... variableNames) throws InvalidParseOperationException
    Parameters:
      `variableNames` - list of key name
    Returns:
      this Query
    Throws:
      `InvalidParseOperationException` - when query is invalid

  - ### addUnusedProjection

    public final SelectMultiQuery addUnusedProjection(String... variableNames) throws InvalidParseOperationException
    Parameters:
      `variableNames` - list of key name
    Returns:
      this Query
    Throws:
      `InvalidParseOperationException` - when query is invalid

  - ### addProjection

    public final SelectMultiQuery addProjection(com.fasterxml.jackson.databind.JsonNode projectionContent)
    Parameters:
      `projectionContent` - json projection
    Returns:
      this Query

  - ### parseProjection

    public final SelectMultiQuery parseProjection(String projection) throws InvalidParseOperationException
    Parameters:
      `projection` - string projection
    Returns:
      this Query
    Throws:
      `InvalidParseOperationException` - when query is invalid

  - ### setUsageProjection

    public final SelectMultiQuery setUsageProjection(String usage) throws InvalidParseOperationException
    Parameters:
      `usage` - string
    Returns:
      this Query
    Throws:
      `InvalidParseOperationException` - when query is invalid

  - ### setUsageProjection

    public final SelectMultiQuery setUsageProjection(com.fasterxml.jackson.databind.JsonNode projectionContent) throws InvalidParseOperationException
    Parameters:
      `projectionContent` - json projection
    Returns:
      this Query
    Throws:
      `InvalidParseOperationException` - when query is invalid

  - ### selectSetProjection

    protected final SelectMultiQuery selectSetProjection(com.fasterxml.jackson.databind.JsonNode projectionContent) throws InvalidParseOperationException
    Overrides:
      `selectSetProjection` in class `AbstractRequest`
    Parameters:
      `projectionContent` - json projection
    Returns:
      this Query
    Throws:
      `InvalidParseOperationException` - when query is invalid

  - ### setProjection

    public final SelectMultiQuery setProjection(com.fasterxml.jackson.databind.JsonNode projectionContent) throws InvalidParseOperationException
    Parameters:
      `projectionContent` - json projection
    Returns:
      this Query
    Throws:
      `InvalidParseOperationException` - when query is invalid

  - ### getFinalSelect

    public final com.fasterxml.jackson.databind.node.ObjectNode getFinalSelect()
    Returns:
      the Final Select containing all 5 parts: roots array, queries array, facets array, filter and projection

  - ### getFinalSelectById

    public final com.fasterxml.jackson.databind.node.ObjectNode getFinalSelectById()
    Returns:
      the Final Select By Id containing only one part: projection

  - ### addFacetsToNode

    protected void addFacetsToNode(com.fasterxml.jackson.databind.node.ObjectNode node)
    Add facets to given node
    Parameters:
      `node` - with facets

  - ### getAllProjection

    public final boolean getAllProjection()
    Description copied from class: `RequestMultiple`
    default implements of getAllProjection
    Overrides:
      `getAllProjection` in class `RequestMultiple`
    Returns:
      True if the projection is not restricted

  - ### getProjection

    public final com.fasterxml.jackson.databind.node.ObjectNode getProjection()
    Description copied from class: `RequestMultiple`
    default implements of getProjection
    Overrides:
      `getProjection` in class `RequestMultiple`
    Returns:
      the projection

  - ### getFacets

    public final List<Facet> getFacets()
    Description copied from class: `RequestMultiple`
    getFacets
    Overrides:
      `getFacets` in class `RequestMultiple`
    Returns:
      the facets

  - ### addFacets

    public final SelectMultiQuery addFacets(Facet... facets)
    Parameters:
      `facets` - list of facet
    Returns:
      this Request
    Throws:
      `IllegalArgumentException` - when facet is invalid

  - ### setFacet

    public SelectMultiQuery setFacet(Facet facet)
    Parameters:
      `facet` - facet
    Returns:
      this Request
    Throws:
      `IllegalArgumentException` - when facet is invalid

  - ### setScrollFilter

    public final SelectMultiQuery setScrollFilter(String scrollId, int scrollTimeout, int limit)
    Parameters:
      `scrollId` - ignored if empty or null
      `scrollTimeout` - ignored if 0
      `limit` - ignored if 0
    Returns:
      this Query

  - ### getThreshold

    public Long getThreshold()
    Getter for threshold
    Overrides:
      `getThreshold` in class `RequestMultiple`
    Returns:
      the threshold

  - ### setThreshold

    public void setThreshold(Long threshold)
    Setter for threshold
    Overrides:
      `setThreshold` in class `RequestMultiple`
    Parameters:
      `threshold` - the value to set for the threshold

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `RequestMultiple`